package Intalio::VersionComparator;
use strict;
use warnings FATAL => 'all';
use Exporter qw( import );


sub CompareVersion {
    my ($first_number, $second_number) = @_;

    my @v1_table = split(/\./, $first_number);
    my @v2_table = split(/\./, $second_number);
    my $v1_len = @v1_table;
    my $v2_len = @v2_table;

    foreach my $a (@v1_table) {
        $a = $a+0;
    }
    foreach my $a (@v2_table) {
        $a = $a+0;
    }

    if ($v1_len > $v2_len) {
        foreach my $i ($v1_len..$v2_len) {
            push @v2_table, 0;
        }
    }
    elsif ($v2_len > $v1_len) {
        foreach my $i ($v2_len..$v2_len) {
            push @v1_table, 0;
        }
    }

    my $score;
    foreach my $i (0..$v1_len) {
        if ($v1_table[$i] > $v2_table[$i]) {
            return 1;
        }
        elsif ($v2_table[$i] > $v1_table[$i]) {
            return 0;
        }
    }
    return -1;

}
1;